[Android] Fix vlc HASH diagnosis

Geoffrey Métais git at videolan.org
Fri Oct 6 10:14:23 CEST 2017


vlc-android | branch: master | Geoffrey Métais <geoffrey.metais at gmail.com> | Thu Oct  5 18:07:29 2017 +0200| [26716aa9c42b09d9727c9a743d2c4334b0c86c92] | committer: Geoffrey Métais

Fix vlc HASH diagnosis

> https://code.videolan.org/videolan/vlc-android/commit/26716aa9c42b09d9727c9a743d2c4334b0c86c92
---

 compile.sh | 22 +++++++++++-----------
 1 file changed, 11 insertions(+), 11 deletions(-)

diff --git a/compile.sh b/compile.sh
index 045b8dadd..b28552275 100755
--- a/compile.sh
+++ b/compile.sh
@@ -227,22 +227,22 @@ if [ ! -d "vlc" ]; then
     diagnostic "VLC source not found, cloning"
     git clone http://git.videolan.org/git/vlc.git vlc
     checkfail "vlc source: git clone failed"
-else
-    diagnostic "VLC source found"
-    cd vlc
-    if ! git cat-file -e ${TESTED_HASH}; then
-        cat 1>&2 << EOF
+fi
+diagnostic "VLC source found"
+cd vlc
+if ! git cat-file -e ${TESTED_HASH}; then
+    cat 1>&2 << EOF
 ***
 *** Error: Your vlc checkout does not contain the latest tested commit: ${TESTED_HASH}
 ***
 EOF
-        exit 1
-    fi
-    if [ "$RELEASE" = 1 ]; then
-        git reset --hard ${TESTED_HASH}
-    fi
-    cd ..
+    exit 1
 fi
+if [ "$RELEASE" = 1 ]; then
+    git reset --hard ${TESTED_HASH}
+fi
+cd ..
+
 
 ############
 # Make VLC #



More information about the Android mailing list